package com.tykj.workflowcore.workflow_editer.entity.enums;

import java.util.List;

/**
 * @author HuangXiahao
 * @version V1.0
 * @class JavaTypeEnum
 * @packageName com.tykj.workflowcore.workflow_editer.entity
 **/
public enum  JavaTypeEnum {

    INTEGER(Integer.class.getName()),
    STRING(String.class.getName()),
    CHARACTER(Character.class.getName()),
    BYTE(Byte.class.getName()),
    SHORT(Short.class.getName()),
    LONG(Long.class.getName()),
    FLOAT(Float.class.getName()),
    DOUBLE(Double.class.getName());


    private final String name;

    JavaTypeEnum(String name) {
        this.name = name;
    }


    public String getName() {
        return name;
    }


}
